@()

<div class="show-grid">
  <div class="no-result" ng-if="ctrl.historyIndexes.length == 0" translate="NO_HISTORY"></div>
  <div>
    <div ng-repeat="historyIndex in ctrl.historyIndexes" class="history-container">
      <div class="title-header">
        <div class="messages-header">
          <div>{{ctrl.formatHistoryDay(historyIndex)}}</div>
        </div>
      </div>
      <div ng-repeat="callHistorySubIndex in ctrl.getCallHistorySubIndexes(historyIndex)"
        class="history-highest parent-clickable"
        ng-class="ctrl.history[historyIndex][callHistorySubIndex][0].display ? 'children-show' : 'children-hiddens'"
        ng-click="ctrl.toggleChildrens(ctrl.history[historyIndex][callHistorySubIndex][0])">

        <div class="history-detail history-grid">
          <div class="user-status" ng-class="ctrl.getCallHistoryUserStatusClass(ctrl.history[historyIndex][callHistorySubIndex][0])">
            <div
              class="avatar-status" ng-class="ctrl.getPhoneStateBackColor(ctrl.history[historyIndex][callHistorySubIndex][0])"
              title="{{ctrl.isMeetingRoom(ctrl.history[historyIndex][callHistorySubIndex][0]) ? 'MEETING_ROOM' : ctrl.getPhoneStateLabel(ctrl.history[historyIndex][callHistorySubIndex][0].phoneStatus, ctrl.history[historyIndex][callHistorySubIndex][0].videoStatus) | translate}}">

              <div class="avatar-circle">

                <i ng-if="ctrl.isMeetingRoom(ctrl.history[historyIndex][callHistorySubIndex][0])"
                  class="is-meeting-room fa fa-video"></i>
                <span class="text-center" style="line-height: initial"
                  ng-if="!ctrl.isMeetingRoom(ctrl.history[historyIndex][callHistorySubIndex][0])">{{ ctrl.history[historyIndex][callHistorySubIndex][0].initials }}</span>
              </div>
            </div>
          </div>
          <div>
            <img ng-if="!ctrl.history[historyIndex][callHistorySubIndex][0].display"
              ng-src="{{ctrl.statusImage(ctrl.history[historyIndex][callHistorySubIndex][0].callStatus)}}" />
          </div>
          <div class="history-phone">
            <span
              ng-if="ctrl.history[historyIndex][callHistorySubIndex][0].firstName || ctrl.history[historyIndex][callHistorySubIndex][0].lastName"
              title="{{ctrl.history[historyIndex][callHistorySubIndex][0].firstName}} {{ctrl.history[historyIndex][callHistorySubIndex][0].lastName}}">
              {{ctrl.history[historyIndex][callHistorySubIndex][0].firstName}}
              {{ctrl.history[historyIndex][callHistorySubIndex][0].lastName}}</span>
            <span
              ng-if="!(ctrl.history[historyIndex][callHistorySubIndex][0].firstName || ctrl.history[historyIndex][callHistorySubIndex][0].lastName)"
              title="{{ctrl.history[historyIndex][callHistorySubIndex][0].number}}">
              {{ctrl.history[historyIndex][callHistorySubIndex][0].number}}</span>
          </div>
          <div class="number-of-calls">
            <span
              ng-if="ctrl.history[historyIndex][callHistorySubIndex].length > 1"><i>({{ctrl.history[historyIndex][callHistorySubIndex].length}})</i></span>
          </div>
          <div class="history-children" title="{{ctrl.history[historyIndex][callHistorySubIndex][0].day}}">
            <i class="xivo-icone-menu-historique"></i> {{ctrl.history[historyIndex][callHistorySubIndex][0].day | hour}}
          </div>

          <div class="history-actions">
            <div class="history-time-one"
              ng-if="(ctrl.history[historyIndex][callHistorySubIndex][0].firstName || ctrl.history[historyIndex][callHistorySubIndex][0].lastName)">

              <span class="nd-action-button d-flex" title="{{'PHONE_CALL' | translate}}"
                ng-click="ctrl.stopEventAndDial($event, ctrl.history[historyIndex][callHistorySubIndex][0].number)">
                <span>
                  <i class="xivo-telephone" aria-hidden="true"></i>
                </span>
              </span>
            </div>

            <div class="history-time-two"
              ng-if="!(ctrl.history[historyIndex][callHistorySubIndex][0].firstName || ctrl.history[historyIndex][callHistorySubIndex][0].lastName)">
              <div class="parent-add"
                ng-click="ctrl.stopEventAndDial($event, ctrl.history[historyIndex][callHistorySubIndex][0].number)">
                <span class="nd-action-button d-flex" title="{{'PHONE_CALL' | translate}}">
                  <span>
                    <i class="xivo-telephone" aria-hidden="true"></i>
                  </span>
                </span>
              </div>

              <div class="edit action button d-flex" ng-click="ctrl.stopEventAndCreateContact($event, ctrl.history[historyIndex][callHistorySubIndex][0].number,ctrl.history[historyIndex][callHistorySubIndex][0].firstName,
                ctrl.history[historyIndex][callHistorySubIndex][0].lastName)">
                <span class="nd-action-button d-flex" title="{{'CONTACT_ADD' | translate}}">
                  <span>
                    <i class="fa fa-user-plus" aria-hidden="true"></i>
                  </span>
                </span>
              </div>
            </div>

          </div>
          <div class="history-chevron">
            <i ng-class="ctrl.history[historyIndex][callHistorySubIndex][0].display ? 'fa-chevron-down' : 'fa-chevron-right'"
              class="fa fa-chevron-right" aria-hidden="true"></i>
          </div>
        </div>
        <call-lister call-list="ctrl.history[historyIndex][callHistorySubIndex]"
          ng-if="ctrl.history[historyIndex][callHistorySubIndex][0].display" icon-retrieved="ctrl.statusImage">
        </call-lister>
      </div>
    </div>
  </div>
</div>
